Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreBuilder

Exposes the necessary methods required to configure the OpenIddict Entity Framework Core services.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreBuilder

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreBuilder

### Constructors

#### OpenIddictEntityFrameworkCoreBuilder(IServiceCollection)

Initializes a new instance of OpenIddictEntityFrameworkCoreBuilder.

##### Declaration

    public OpenIddictEntityFrameworkCoreBuilder(IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.

### Properties

#### Services

Gets the services collection.

##### Declaration

    public IServiceCollection Services { get; }

##### Property Value

Type | Description
--- | ---
IServiceCollection |

### Methods

#### Configure(Action<OpenIddictEntityFrameworkCoreOptions>)

Amends the default OpenIddict Entity Framework Core configuration.

##### Declaration

    public OpenIddictEntityFrameworkCoreBuilder Configure(Action<OpenIddictEntityFrameworkCoreOptions> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<OpenIddictEntityFrameworkCoreOptions> | configuration | The delegate used to configure the OpenIddict options.

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkCoreBuilder | The OpenIddictEntityFrameworkCoreBuilder.

##### Remarks

This extension can be safely called multiple times.

#### Equals(Object)

##### Declaration

    public override bool Equals(object obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | obj |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()

#### ReplaceDefaultEntities<TKey>()

Configures OpenIddict to use the default OpenIddict Entity Framework Core entities, with the specified key type.

##### Declaration

    public OpenIddictEntityFrameworkCoreBuilder ReplaceDefaultEntities<TKey>()
        where TKey : IEquatable<TKey>

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkCoreBuilder | The OpenIddictEntityFrameworkCoreBuilder.

##### Type Parameters

Name | Description
--- | ---
TKey |

#### ReplaceDefaultEntities<TApplication, TAuthorization, TScope, TToken, TKey>()

Configures OpenIddict to use the specified entities, derived from the default OpenIddict Entity Framework Core entities.

##### Declaration

    public OpenIddictEntityFrameworkCoreBuilder ReplaceDefaultEntities<TApplication, TAuthorization, TScope, TToken, TKey>()
        where TApplication : OpenIddictEntityFrameworkCoreApplication<TKey, TAuthorization, TToken> where TAuthorization : OpenIddictEntityFrameworkCoreAuthorization<TKey, TApplication, TToken> where TScope : OpenIddictEntityFrameworkCoreScope<TKey> where TToken : OpenIddictEntityFrameworkCoreToken<TKey, TApplication, TAuthorization> where TKey : IEquatable<TKey>

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkCoreBuilder | The OpenIddictEntityFrameworkCoreBuilder.

##### Type Parameters

Name | Description
--- | ---
TApplication |
TAuthorization |
TScope |
TToken |
TKey |

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

#### UseDbContext(Type)

Configures the OpenIddict Entity Framework Core stores to use the specified database context type.

##### Declaration

    public OpenIddictEntityFrameworkCoreBuilder UseDbContext(Type type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | type | The type of the used by OpenIddict.

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkCoreBuilder | The OpenIddictEntityFrameworkCoreBuilder.

#### UseDbContext<TContext>()

Configures the OpenIddict Entity Framework Core stores to use the specified database context type.

##### Declaration

    public OpenIddictEntityFrameworkCoreBuilder UseDbContext<TContext>()
        where TContext : DbContext

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkCoreBuilder | The OpenIddictEntityFrameworkCoreBuilder.

##### Type Parameters

Name | Description
--- | ---
TContext | The type of the used by OpenIddict.